Subject: RE: [Sip] B2BUA

From: William Marshall <[email-masked]>
Date: Tue, 10 Dec 2002 08:22:26 -0500 (EST)

Dave Oran wrote:
> <[email-masked]> wrote:
> >
> > BtoBUA need not always be call stateful.
> Uh, on the contrary, since it has a UAS and a UAC, it most certainly has 
> call (properly: dialog) state.

I think you're agruing details of semantics here.  If the B2BUA has 
nothing stored itself that it needs to clean up when the call/dialog/
transaction completes, I'd call is stateless.  However, it may have
used a mechanism like what was defined in draft-ietf-sip-state to
have that information stored somewhere else, or could have it
encoded in the Contact header of the outgoing request, or numerous
other valid hiding places.  End result is a "stateful" box that
is "stateless".  The term looses meaning.

Bill Marshall
[email-masked]

-----original message-----
Date: Tue, 10 Dec 2002 07:44:12 -0500
From: "David R. Oran" <[email-masked]>
To: Kedar Patil <[email-masked]>
Cc: [email-masked]
Subject: RE: [Sip] B2BUA

--On Wednesday, December 04, 2002 11:14 AM -0600 Kedar Patil 

<[email-masked]> wrote:
>
> BtoBUA need not always be call stateful.
Uh, on the contrary, since it has a UAS and a UAC, it most certainly has 
call (properly: dialog) state.

> e.g. a SIP REGISTER request reaches a BtoBUA,
> it sends a new request to appropriate Registrar
> based on some local application specific
> configuration.
>
> There isn't any network state here (except the
> transaction state, like sip proxy).
>
Well, that's because REGISTER doesn't establish a dialog.

> Pls. let me know, if you foresee any problem here.
>
Possibly, mostly having to do with security. As long as 3rd party REGISTERs 
work (i.e. somebody other than the contact being registered for the AOR 
doing the transaction), then this scenario should be no different. The 
operative condition though, is that the register comes from the B2BUA. From 
the point of view of the registrar it could just as we'll have been a 
mystical experience that caused the register to be sent by the B2BUA as 
some incoming register transaction.

> thanks,
> = Kedar =
>
>> -----Original Message-----
>> From: Jiri Kuthan [mailto:[email-masked]]
>> Sent: Wednesday, December 04, 2002 8:16 AM
>> To: Phil Reynolds; [email-masked]
>> Subject: RE: [Sip] B2BUA
>>
>>
>> I think a better strategy to design reliable IP networks is not to
>> have stateful elements in the middle. It is sometimes not
>> easy to achieve, but you don't need to solve the problem what
>> happens when they fail.
>>
>> Besides that, all sort of middleboxes (B2BUA can IMHO be labeled
>> as app-layer middlebox) have e2e security issues as pointed out
>> by Christian, and are not free of scalability issues.
>>
>> I suggest you read RFC3234 -- it covers various issues middleboxes
>> have, including failure handling.
>>
>> -Jiri

------------------------
David R. Oran
Cisco Systems
7 Ladyslipper Lane
Acton, MA 01720
Office: +1 978 264 2048
VoIP: +1 408 571 4576
Email: [email-masked]
_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip